IT Operations Discussions
All the up-time. All the nines.

Splunk Add-on for AWS not loading after splunk migration to Splunk8

sree007
Explorer

Hello,

 

I have migrated the splunk from 6.5.3 to 8.0.1, also updated the aws app to 5.0.2 and added 

python.version=python3

to all the conf files mentioned in the link 

https://docs.splunk.com/Documentation/Splunk/8.0.6/Installation/Python3LowEffort

But when i load the AWS app i found some below logs in the splunkd.log

 

09-16-2020 12:55:56.373 +0000 ERROR AdminManagerExternal - Stack trace from python handler:\nTraceback (most recent call last):\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 113, in wrapper\n    for name, data, acl in meth(self, *args, **kwargs):\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 175, in all\n    **query\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 289, in wrapper\n    return request_fun(self, *args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 71, in new_f\n    val = f(*args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 679, in get\n    response = self.http.get(path, all_headers, **query)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 1183, in get\n    return self.request(url, { 'method': "GET", 'headers': headers })\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 1244, in request\n    raise HTTPError(response)\nsolnlib.packages.splunklib.binding.HTTPError: HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 111, in init_persistent\n    hand.execute(info)\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 634, in execute\n    if self.requestedAction == ACTION_LIST:     self.handleList(confInfo)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/admin_external.py", line 52, in wrapper\n    for entity in result:\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 118, in wrapper\n    raise RestError(exc.status, str(exc))\nsplunktaucclib.rest_handler.error.RestError: REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}\n

 

09-16-2020 12:55:56.373 +0000 ERROR AdminManagerExternal - Unexpected error "<class 'splunktaucclib.rest_handler.error.RestError'>" from python handler: "REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}".  See splunkd.log for more details.

09-16-2020 12:55:57.582 +0000 ERROR AdminManagerExternal - Stack trace from python handler:\nTraceback (most recent call last):\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 113, in wrapper\n    for name, data, acl in meth(self, *args, **kwargs):\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 175, in all\n    **query\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 289, in wrapper\n    return request_fun(self, *args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 71, in new_f\n    val = f(*args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 679, in get\n    response = self.http.get(path, all_headers, **query)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 1183, in get\n    return self.request(url, { 'method': "GET", 'headers': headers })\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 1244, in request\n    raise HTTPError(response)\nsolnlib.packages.splunklib.binding.HTTPError: HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 148, in init\n    hand.execute(info)\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 634, in execute\n    if self.requestedAction == ACTION_LIST:     self.handleList(confInfo)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/admin_external.py", line 52, in wrapper\n    for entity in result:\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 118, in wrapper\n    raise RestError(exc.status, str(exc))\nsplunktaucclib.rest_handler.error.RestError: REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}\n

 

09-16-2020 12:55:57.582 +0000 ERROR AdminManagerExternal - Unexpected error "<class 'splunktaucclib.rest_handler.error.RestError'>" from python handler: "REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}".  See splunkd.log for more details.

 

09-16-2020 12:55:57.588 +0000 ERROR AdminManagerExternal - Stack trace from python handler:\nTraceback (most recent call last):\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 111, in init_persistent\n    hand.execute(info)\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 634, in execute\n    if self.requestedAction == ACTION_LIST:     self.handleList(confInfo)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/base_input_rh.py", line 62, in handleList\n    inputs = self._collection.list()\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/client.py", line 1479, in list\n    return list(self.iter(count=count, **kwargs))\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/client.py", line 1438, in iter\n    response = self.get(count=pagesize or count, offset=offset, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/client.py", line 1668, in get\n    return super(Collection, self).get(name, owner, app, sharing, **query)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/client.py", line 766, in get\n    **query)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/binding.py", line 290, in wrapper\n    return request_fun(self, *args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/binding.py", line 71, in new_f\n    val = f(*args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/binding.py", line 680, in get\n    response = self.http.get(path, all_headers, **query)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/binding.py", line 1184, in get\n    return self.request(url, { 'method': "GET", 'headers': headers })\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunklib/binding.py", line 1245, in request\n    raise HTTPError(response)\nsplunklib.binding.HTTPError: HTTP 500 Internal Server Error -- Unexpected error "<class 'splunktaucclib.rest_handler.error.RestError'>" from python handler: "REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}".  See splunkd.log for more details.\n

09-16-2020 12:55:57.588 +0000 ERROR AdminManagerExternal - Unexpected error "<class 'splunklib.binding.HTTPError'>" from python handler: "HTTP 500 Internal Server Error -- Unexpected error "<class 'splunktaucclib.rest_handler.error.RestError'>" from python handler: "REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}".  See splunkd.log for more details.".  See splunkd.log for more details.

 

09-16-2020 12:55:57.674 +0000 ERROR AdminManagerExternal - Stack trace from python handler:\nTraceback (most recent call last):\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 113, in wrapper\n    for name, data, acl in meth(self, *args, **kwargs):\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 175, in all\n    **query\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 289, in wrapper\n    return request_fun(self, *args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 71, in new_f\n    val = f(*args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 679, in get\n    response = self.http.get(path, all_headers, **query)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 1183, in get\n    return self.request(url, { 'method': "GET", 'headers': headers })\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/solnlib/packages/splunklib/binding.py", line 1244, in request\n    raise HTTPError(response)\nsolnlib.packages.splunklib.binding.HTTPError: HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 111, in init_persistent\n    hand.execute(info)\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 634, in execute\n    if self.requestedAction == ACTION_LIST:     self.handleList(confInfo)\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/admin_external.py", line 52, in wrapper\n    for entity in result:\n  File "/opt/splunk/etc/apps/Splunk_TA_aws/bin/3rdparty/python3/splunktaucclib/rest_handler/handler.py", line 118, in wrapper\n    raise RestError(exc.status, str(exc))\nsplunktaucclib.rest_handler.error.RestError: REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}\n

09-16-2020 12:55:57.674 +0000 ERROR AdminManagerExternal - Unexpected error "<class 'splunktaucclib.rest_handler.error.RestError'>" from python handler: "REST Error [404]: Not Found -- HTTP 404 Not Found -- {"messages":[{"type":"ERROR","text":"Not Found"}]}".  See splunkd.log for more details.

 

Can you please let me know if i have missed anything from my side.

 

Thanks

Sreejith

0 Karma

saad_siddiqi
Path Finder

Hi There,

Were you able to resolve this issue at all? I am also having the same issue.

0 Karma

thambisetty
Super Champion

can you try latest version of add-on on test machine with splunk v8 ( don't upgrade, install as fresh). if that  works for you, you should remove existing one and need to install latest version. 

————————————
If this helps, give a like below.
0 Karma